body {
    background-color:bisque;
}

.container {
    position: fixed;
    width: 100%;
    height: 100%;;
    overflow-y: scroll;
    overflow-x: hidden;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;   

}

.shrine {
    display: inline-block;
    width: 20%;
    height: auto;
    overflow: hidden;
    margin: 5%;
    line-height: 0;
}

img {
    max-width: 100%;
    max-height: 100%;
    min-width:0;
    min-height:0;
    object-fit: contain;
    display: inline-block;
    vertical-align: bottom;
}

.shelf {
    width: 100%;
    height: 10%;
    background-color:rgb(225, 148, 157);
    display: inline-block;
    vertical-align: bottom;
}

.shrinetext {
    position: absolute;
    top: -15%;
    left: 0;
    width: 100%;
    height: 60%;
    transform: scale(0.5);
    opacity: 0;
    transition: transform 1s ease, opacity 0.7s ease;
}

.curve {
    height: 100%;
    width: 100%;
}

.shrine11 {
    position: relative;
    cursor: pointer;
}

.shrine12 {
    position: relative;
    cursor: pointer;
}

.shrine13 {
    background-color: white;
}

.shrine21 {
    background-color: white;
}

.shrine22 {
    background-color: white;
}

.shrine23 {
    background-color: white;
}

.shrine11:hover .shrinetext {
  opacity: 1;
  transform: scale(1);
}

.shrine12:hover .shrinetext {
  opacity: 1;
  transform: scale(1);
}